Subject: bug#14912: 24.3.50; replace.el: Replace error with user-error?

From: Drew Adams <[email-masked]>
Date: Fri, 19 Jul 2013 09:51:25 -0700 (PDT)

> Under these conditions, these "spurious" errors get very annoying.  I am
> wondering these qualify as `user-error' s.
> 
> Debugger entered--Lisp error: (error "No more matches")

My vote says yes - user error rather than system error.

But in fact I wonder whether we should even raise an error here,
instead of just showing an informative message.  It is neither a
system error nor a user error that there are no search hits,
a priori.

Yes, no match might in some circumstance indicate an error of
some kind.  But for regular interactive use it does not.  It is
a normal result to be expected from a normal search interaction.
Treating it as an error seems misguided, IMO.

Perhaps such behavior is a (misguided) throwback to a Unix command
such as `grep' which uses an error return value to indicate no
matches.  That is not the context here.